%global apiversion 21

Summary: A library which allows userspace access to Phidgets devices
Name: libphidget
Version: 2.1.9.20190409
Release: 1%{?dist}
License: GPLv3
Group: System Environment/Libraries
URL: http://www.phidgets.com/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://www.phidgets.com/downloads/phidget%{apiversion}/libraries/linux/libphidget/%{name}_%{version}.tar.gz
Requires(post,postun): /sbin/ldconfig
Requires: libusb >= 0.1.8
BuildRequires: libusb-devel >= 0.1.8
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The %{name} package contains a library of functions to access and
interact with the various Phidget devices. Phidgets are a set of plug
and play building blocks for low cost USB sensing and control from
any computer with USB ports.

%package devel
Summary: Header files and libraries for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The %{name}-devel package contains static libraries and header
files needed to develop applications that use the %{name} library.

%prep
%setup -q

%build
%{configure} \
  --disable-static \
  --enable-jni \
  --enable-zeroconf \
  --disable-zeroconf-lookup
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} INSTALL="install -p" LDCONFIG=
find %{buildroot}%{_libdir} -type f -name '*.la' -exec %{__rm} -f {} \;

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/%{name}%{apiversion}.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/phidget%{apiversion}.h
%{_libdir}/%{name}%{apiversion}.so
%{_libdir}/pkgconfig/%{name}%{apiversion}.pc

%changelog
* Mon Apr 20 2020 Simon Matter <simon.matter@invoca.ch> 2.1.9.20190409-1
- upgrade to 2.1.9.20190409
- add support for EL8

* Tue Jun 27 2017 Simon Matter <simon.matter@invoca.ch> 2.1.8.20170607-1
- upgrade to 2.1.8.20170607

* Fri Dec 18 2015 Simon Matter <simon.matter@invoca.ch> 2.1.8.20151217-1
- upgrade to 2.1.8.20151217

* Mon Apr 13 2015 Simon Matter <simon.matter@invoca.ch> 2.1.8.20150410-1
- upgrade to 2.1.8.20150410

* Mon Mar 02 2015 Simon Matter <simon.matter@invoca.ch> 2.1.8.20150227-1
- upgrade to 2.1.8.20150227

* Thu Mar 20 2014 Simon Matter <simon.matter@invoca.ch> 2.1.8.20140319-1
- upgrade to 2.1.8.20140319

* Fri Feb 28 2014 Simon Matter <simon.matter@invoca.ch> 2.1.8.20140227-1
- upgrade to 2.1.8.20140227

* Wed Jul 24 2013 Simon Matter <simon.matter@invoca.ch> 2.1.8.20130723-1
- upgrade to 2.1.8.20130723

* Wed Jun 19 2013 Simon Matter <simon.matter@invoca.ch> 2.1.8.20130618-1
- upgrade to 2.1.8.20130618

* Fri Mar 22 2013 Simon Matter <simon.matter@invoca.ch> 2.1.8.20130320-1
- upgrade to 2.1.8.20130320

* Thu Dec 20 2012 Simon Matter <simon.matter@invoca.ch> 2.1.8.20121218-1
- upgrade to 2.1.8.20121218

* Thu Sep 13 2012 Simon Matter <simon.matter@invoca.ch> 2.1.8.20120912-1
- upgrade to 2.1.8.20120912

* Tue Jul 17 2012 Simon Matter <simon.matter@invoca.ch> 2.1.8.20120716-1
- upgrade to 2.1.8.20120716

* Tue May 15 2012 Simon Matter <simon.matter@invoca.ch> 2.1.8.20120514-1
- upgrade to 2.1.8.20120514

* Tue May 08 2012 Simon Matter <simon.matter@invoca.ch> 2.1.8.20120507-1
- upgrade to 2.1.8.20120507

* Fri May 04 2012 Simon Matter <simon.matter@invoca.ch> 2.1.8.20120503-1
- upgrade to 2.1.8.20120503

* Fri Feb 17 2012 Simon Matter <simon.matter@invoca.ch> 2.1.8.20120216-1
- upgrade to 2.1.8.20120216
- disable call to ldconfig

* Wed Feb 01 2012 Simon Matter <simon.matter@invoca.ch> 2.1.8.20120131-1
- upgrade to 2.1.8.20120131

* Tue Jan 24 2012 Simon Matter <simon.matter@invoca.ch> 2.1.8.20120123-1
- upgrade to 2.1.8.20120123

* Wed Dec 21 2011 Simon Matter <simon.matter@invoca.ch> 2.1.8.20111220-1
- upgrade to 2.1.8.20111220

* Mon Dec 19 2011 Simon Matter <simon.matter@invoca.ch> 2.1.8.20111121-1
- upgrade to 2.1.8.20111121

* Sat Oct 29 2011 Simon Matter <simon.matter@invoca.ch> 2.1.8.20111028-1
- upgrade to 2.1.8.20111028

* Thu Jun 16 2011 Simon Matter <simon.matter@invoca.ch> 2.1.8.20110615-1
- upgrade to 2.1.8.20110615

* Mon May 30 2011 Simon Matter <simon.matter@invoca.ch> 2.1.8.20110527-1
- upgrade to 2.1.8.20110527

* Wed May 25 2011 Simon Matter <simon.matter@invoca.ch> 2.1.8.20110524-1
- upgrade to 2.1.8.20110524

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 2.1.8.20110322-2
- mass rebuild

* Wed Mar 23 2011 Simon Matter <simon.matter@invoca.ch> 2.1.8.20110322-1
- upgrade to 2.1.8.20110322

* Fri Mar 11 2011 Simon Matter <simon.matter@invoca.ch> 2.1.8.20110310-1
- upgrade to 2.1.8.20110310

* Wed Mar 02 2011 Simon Matter <simon.matter@invoca.ch> 2.1.8.20110301-1
- upgrade to 2.1.8.20110301

* Fri Feb 04 2011 Simon Matter <simon.matter@invoca.ch> 2.1.7.20110203-1
- upgrade to 2.1.7.20110203

* Thu Dec 23 2010 Simon Matter <simon.matter@invoca.ch> 2.1.7.20101222-1
- upgrade to 2.1.7.20101222

* Thu Nov 04 2010 Simon Matter <simon.matter@invoca.ch> 2.1.7.20101103-1
- upgrade to 2.1.7.20101103

* Mon Jun 28 2010 Simon Matter <simon.matter@invoca.ch> 2.1.7.20100621-2
- require at least libusb 0.1.8

* Sat Jun 26 2010 Simon Matter <simon.matter@invoca.ch> 2.1.7.20100621-1
- initial package
